<?php

/**
 * Industrial App - CPT 
 * 
 * register_post_type( 'message', $args );
 * 
 * @package industrial-app
 * @subpackage industrial-app.cpt
 * @since industrial-app 1.0.0 
 */
function industrialcore_cpt_message() {
    $labels = array(
        'name' => _x('Award Message', 'message', 'industrial'),
        'singular_name' => _x('Award Message', 'message', 'industrial'),
        'add_new' => _x('Add New', 'message', 'industrial'),
        'add_new_item' => _x('Add New Message', 'message', 'industrial'),
        'edit_item' => _x('Edit Message', 'message', 'industrial'),
        'new_item' => _x('New Message', 'message', 'industrial'),
        'view_item' => _x('View Message', 'message', 'industrial'),
        'search_items' => _x('Search Message', 'message', 'industrial'),
        'not_found' => _x('No message found', 'message', 'industrial'),
        'not_found_in_trash' => _x('No message member found in Trash', 'message', 'industrial'),
        'parent_item_colon' => _x('Parent Message:', 'message', 'industrial'),
        'menu_name' => _x('Award Message ', 'message', 'industrial'),
        'all_items' => _x('All Message ', 'message', 'industrial'),
        'search_items' => _x('No message found', 'message', 'industrial')
    );
    $args = array(
        'labels' => $labels,
        'hierarchical' => false,
        'supports' => array('title'),
        'public' => false,
        'show_ui' => true,
        'show_in_nav_menus' => false,
        'publicly_queryable' => true,
        'exclude_from_search' => true,
        'has_archive' => false,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'menu_icon' => 'dashicons-clipboard',
    );
    register_post_type('message', $args);
}

add_action('init', 'industrialcore_cpt_message');


