<?php

/**
 * Industrial App - CPT 
 * 
 * register_post_type( 'project', $args );
 * register_taxonomy("project_categories", array("project"), $args);
 * 
 * @package industrial-app
 * @subpackage industrial-app.cpt
 * @since industrial-app 1.0.0 
 */
function industrial_cpt_project() {
    $labels = array(
        'name' => _x('Project', 'project', 'industrial'),
        'singular_name' => _x('Project', 'project', 'industrial'),
        'add_new' => _x('Add New', 'project', 'industrial'),
        'add_new_item' => _x('Add New Project', 'project', 'industrial'),
        'edit_item' => _x('Edit Project', 'project', 'industrial'),
        'new_item' => _x('New Project', 'project', 'industrial'),
        'view_item' => _x('View Project', 'project', 'industrial'),
        'search_items' => _x('Search Project', 'project', 'industrial'),
        'not_found' => _x('No Project found', 'project', 'industrial'),
        'not_found_in_trash' => _x('No Project member found in Trash', 'project', 'industrial'),
        'parent_item_colon' => _x('Parent Project:', 'project', 'industrial'),
        'menu_name' => _x('Project ', 'project', 'industrial'),
        'all_items' => _x('All Project ', 'project', 'industrial'),
        'search_items' => _x('No Project found', 'project', 'industrial')
    );
    $args = array(
        'labels' => $labels,
        'hierarchical' => false,
        'supports' => array('title', 'editor', 'thumbnail'),
        'public' => true,
        'show_ui' => true,
        'show_in_nav_menus' => true,
        'publicly_queryable' => true,
        'exclude_from_search' => true,
        'has_archive' => false,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'menu_icon' => 'dashicons-clipboard',
    );
    register_post_type('project', $args);
}

add_action('init', 'industrial_cpt_project');


//project_categories
function industrial_project_cpt_taxonomy() {
    $args = array(
        "hierarchical" => true,
        "label" => "Categories",
        "singular_label" => "Category",
        "rewrite" => true
    );
    register_taxonomy("project_categories", array("project"), $args);
}

add_action('init', 'industrial_project_cpt_taxonomy', 0);
