<?php

/**
 * Industrial App - CPT 
 * 
 * register_post_type('services', $args);
 * 
 * @package industrial-app
 * @subpackage industrial-app.cpt
 * @since industrial-app 1.0.0 
 */
function industrial_cpt_service() {
    $labels = array(
        'name' => _x('Services', 'services', 'industrial'),
        'singular_name' => _x('Services', 'services', 'industrial'),
        'add_new' => _x('Add New', 'services', 'industrial'),
        'add_new_item' => _x('Add New Services', 'services', 'industrial'),
        'edit_item' => _x('Edit Services', 'services', 'industrial'),
        'new_item' => _x('New Services', 'services', 'industrial'),
        'view_item' => _x('View Services', 'services', 'industrial'),
        'search_items' => _x('Search Services', 'services', 'industrial'),
        'not_found' => _x('No services found', 'services', 'industrial'),
        'not_found_in_trash' => _x('No services member found in Trash', 'services', 'industrial'),
        'parent_item_colon' => _x('Parent Services:', 'services', 'industrial'),
        'menu_name' => _x('Services ', 'services', 'industrial'),
        'all_items' => _x('All Services ', 'services', 'industrial'),
        'search_items' => _x('No services found', 'services', 'industrial')
    );
    $args = array(
        'labels' => $labels,
        'hierarchical' => false,
        'supports' => array('title', 'editor', 'thumbnail', 'excerpt'),
        'public' => false,
        'show_ui' => true,
        "menu_icon" => '',
        'show_in_nav_menus' => false,
        'publicly_queryable' => true,
        'exclude_from_search' => true,
        'has_archive' => false,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'menu_icon' => 'dashicons-clipboard',
    );
    register_post_type('services', $args);
}

add_action('init', 'industrial_cpt_service');
