<?php

/**
 * Industrial App - CPT 
 * 
 * register_post_type('team', $args);
 * 
 * @package industrial-app
 * @subpackage industrial-app.cpt
 * @since industrial-app 1.0.0 
 */
function industrialcore_cpt_team() {
    $labels = array(
        'name' => _x('Team', 'team', 'industrial'),
        'singular_name' => _x('Team', 'team', 'industrial'),
        'add_new' => _x('Add New', 'team', 'industrial'),
        'add_new_item' => _x('Add New Team', 'team', 'industrial'),
        'edit_item' => _x('Edit Team', 'team', 'industrial'),
        'new_item' => _x('New Team', 'team', 'industrial'),
        'view_item' => _x('View Team', 'team', 'industrial'),
        'search_items' => _x('Search Team', 'team', 'industrial'),
        'not_found' => _x('No team found', 'team', 'industrial'),
        'not_found_in_trash' => _x('No team member found in Trash', 'team', 'industrial'),
        'parent_item_colon' => _x('Parent Team:', 'team', 'industrial'),
        'menu_name' => _x('Team ', 'team', 'industrial'),
        'all_items' => _x('All Team ', 'team', 'industrial'),
        'search_items' => _x('No team found', 'team', 'industrial')
    );
    $args = array(
        'labels' => $labels,
        'hierarchical' => false,
        'supports' => array('title'),
        'public' => false,
        'show_ui' => true,
        'show_in_nav_menus' => false,
        'publicly_queryable' => true,
        'exclude_from_search' => true,
        'has_archive' => false,
        'query_var' => true,
        'can_export' => true,
        'rewrite' => true,
        'menu_icon' => 'dashicons-clipboard',
    );
    register_post_type('team', $args);
}

add_action('init', 'industrialcore_cpt_team');

