<?php
/**
 * Industrial App - Project Metabox 
 *
 * @package industrial-app
 * @subpackage industrial-app.metabox
 * @since industrial-app 1.0.0 
 */
$prefix = 'industrialcore_';
 global $industrial_project_option_meta;
$industrial_project_option_meta = array(
    'id' => 'project-meta',
    'title' => __('Project setting', 'industrial'),
    'page' => 'project',
    'context' => 'normal',
    'priority' => 'high',
    'fields' => array(
    array(
            'name' => __('CENTRAL DELIVERY OFFICE', 'industrial'),
            'desc' => '',
            'id' => $prefix . 'projectdeliveryoffice',
            "type" => "text",
            'std' => ''
        ),
        array(
            'name' => __('WHAT WE HAVE DONE', 'industrial'),
            'desc' => '',
            'id' => $prefix . 'projectwhatwedone',
            "type" => "text",
            'std' => ''
        ),
        array(
            'name' => __('SUBTITLE', 'industrial'),
            'desc' => '',
            'id' => $prefix . 'projectsubtitle',
            "type" => "text",
            'std' => ''
        ),
        array(
            'name' => __('DESIGN', 'industrial'),
            'desc' => '',
            'id' => $prefix . 'projectdesign',
            "type" => "text-multd",
            'std' => ''
        ),
        array(
            'name' => __('MANAGEMENT', 'industrial'),
            'desc' => '',
            'id' => $prefix . 'projectmanagement',
            "type" => "text-multd",
            'std' => ''
        ),
        array(
            'name' => __('DELIVERY', 'industrial'),
            'desc' => '',
            'id' => $prefix . 'projectdevery',
            "type" => "text-multd",
            'std' => ''
        ),
        array(
            'name' => __('PDF SECTION TITLE', 'industrial'),
            'desc' => '',
            'id' => $prefix . 'pdf_section_title',
            "type" => "text",
            'std' => ''
        ),
        array(
            'name' => __('SECTOR', 'industrial'),
            'desc' => '',
            'id' => $prefix . 'sector',
            "type" => "text-multd-1",
            'std' => ''
        ),
        array(
            'name' => __('LOCATION', 'industrial'),
            'desc' => '',
            'id' => $prefix . 'location',
            "type" => "text-multd-1",
            'std' => ''
        ),
        array(
            'name' => __('VALUE', 'industrial'),
            'desc' => '',
            'id' => $prefix . 'value',
            "type" => "text-multd-1",
            'std' => ''
        ),
        array(
            'name' => __('DOWNLOAD PDF URL', 'industrial'),
            'desc' => '',
            'id' => $prefix . 'pdfurl',
            "type" => "text",
            'std' => ''
        ),
        array(
            'name' => __('Brief Description', 'industrial'),
            'desc' => '',
            'id' => $prefix . 'briefdesc',
            "type" => "textarea",
            'std' => ''
        ),
    )
);
// create boxes for team
add_action('admin_menu', 'industrial_add_project_meta_boxes');

function industrial_add_project_meta_boxes() {
    global $industrial_project_option_meta;
    add_meta_box($industrial_project_option_meta['id'], $industrial_project_option_meta['title'], 'industrial_show_project_options', $industrial_project_option_meta['page'], $industrial_project_option_meta['context'], $industrial_project_option_meta['priority']);
}

function industrial_show_project_options() {
    global $industrial_project_option_meta, $post;
    // Use nonce for verification
     wp_nonce_field(basename(__FILE__), 'meta_box_nonce');
    ?>
    <table class="form-table">
        <?php
        foreach ($industrial_project_option_meta['fields'] as $field) {
            switch ($field['type']) {
                case 'text':
                    // get current post meta data
                    $meta = get_post_meta($post->ID, $field['id'], true);
                    ?><tr>
                        <th style="width:25%">
                            <label for="<?php echo $field['id']; ?>">
                                <strong><?php echo $field['name']; ?></strong>
                                <span style=" display:block; color:#999; margin:5px 0 0 0; line-height: 18px;"><?php echo $field['desc']; ?></span>
                            </label>
                        </th>
                        <td colspan="3">
                            <input type="text" name="<?php echo $field['id']; ?>" id="<?php echo $field['id']; ?>" value="<?php echo $meta ? $meta : stripslashes(htmlspecialchars(($field['std']), ENT_QUOTES)); ?>" size="30" style="width:75%; margin-right: 20px; float:left;" />
                            <?php
                            break;
                        case 'text-multd':
                            // get current post meta data
                            $meta = get_post_meta($post->ID, 'fontcls_' . $field['id'], true);
                            ?><tr>
                        <th style="width:25%">
                            <label for="<?php echo $field['id']; ?>'">
                                <strong><?php echo $field['name']; ?></strong>
                                <span style=" display:block; color:#999; margin:5px 0 0 0; line-height: 18px;"><?php echo $field['desc']; ?></span>
                            </label>
                        </th>
                        <td>
                            <input type="text" name="fontcls_<?php echo $field['id']; ?>" id="<?php echo $field['id']; ?>'" value="<?php echo $meta ? $meta : stripslashes(htmlspecialchars(($field['std']), ENT_QUOTES)); ?>" size="30" style="width:75%; margin-right: 20px; float:left;" placeholder="font class here"/></td>
                        <?php $meta = get_post_meta($post->ID, 'tlt_' . $field['id'], true); ?>	
                        <td>
                            <input type="text" name="tlt_<?php echo $field['id']; ?>" id="<?php echo $field['id']; ?>" value="<?php echo $meta ? $meta : stripslashes(htmlspecialchars(($field['std']), ENT_QUOTES)); ?>" size="30" style="width:75%; margin-right: 20px; float:left;" placeholder="title here" /></td>
                        <?php $meta = get_post_meta($post->ID, 'url_' . $field['id'], true); ?>	
                        <td>
                            <input type="text" name="url_<?php echo $field['id']; ?>" id="<?php echo $field['id']; ?>" value="<?php echo $meta ? $meta : stripslashes(htmlspecialchars(($field['std']), ENT_QUOTES)); ?>" size="30" style="width:75%; margin-right: 20px; float:left;" placeholder="url here" />
                            <?php
                            break;
                        case 'text-multd-1':
                            ?><tr>
                        <th style="width:25%">
                            <label for="<?php echo $field['id']; ?>">
                                <strong><?php echo $field['name']; ?></strong>
                                <span style=" display:block; color:#999; margin:5px 0 0 0; line-height: 18px;"><?php echo $field['desc']; ?></span>
                            </label>
                        </th>
                        <?php
                        // get current post meta data
                        $meta = get_post_meta($post->ID, 'fontcls_' . $field['id'], true);
                        ?><td>
                            <input type="text" name="fontcls_<?php echo $field['id']; ?>" id="<?php echo $field['id']; ?>" value="<?php echo $meta ? $meta : stripslashes(htmlspecialchars(($field['std']), ENT_QUOTES)); ?>" size="30" style="width:75%; margin-right: 20px; float:left;" placeholder="font class here"/></td>
                        <?php
                        // get current post meta data
                        $meta = get_post_meta($post->ID, 'tlt_' . $field['id'], true);
                        ?><td>
                            <input type="text" name="tlt_<?php echo $field['id']; ?>" id="<?php echo $field['id']; ?>" value="<?php echo $meta ? $meta : stripslashes(htmlspecialchars(($field['std']), ENT_QUOTES)); ?>" size="30" style="width:75%; margin-right: 20px; float:left;" placeholder="title here" /></td>
                        <td>
                            <?php
                            // get current post meta data
                            $meta = get_post_meta($post->ID, 'val_' . $field['id'], true);
							//var_dump($field['id']);
                            ?>
                            <input type="text" name="val_<?php echo $field['id']; ?>" id="<?php echo $field['id']; ?>" value="<?php echo $meta ? $meta : stripslashes(htmlspecialchars(($field['std']), ENT_QUOTES)); ?>" size="30" style="width:75%; margin-right: 20px; float:left;" placeholder="value here" />
                            <?php
                            break;
                        case 'textarea':
                            $meta = get_post_meta($post->ID, $field['id'], true);
                            ?>
                    <tr>
                        <th style="width:25%"><label for="<?php echo $field['id']; ?>"><strong><?php echo $field['name']; ?></strong>
                                <span style=" display:block; color:#999; margin:5px 0 0 0; line-height: 18px;"><?php echo $field['desc']; ?></span>
                            </label></th>
                        <td colspan="3">
                            <?php
                            $args = array(
                                'textarea_rows' => 5,
                                'media_buttons' => false,
                                'teeny' => true,
                                'quicktags' => false
                            );
                            wp_editor($meta ? $meta : stripslashes(htmlspecialchars(($field['std']), ENT_QUOTES)), $field['id'], $args);
                            break;
                        case 'button':
                            ?>
                            <input style="float: left;" type="button" class="industrialcore_upload_image_button" name="<?php echo $field['id']; ?>" id="<?php echo $field['id']; ?>" value="Browse" />
                        </td>
                    </tr>
                    <?php
                    break;
            }
        }
        ?></table><?php
}

add_action('save_post', 'industrial_project_save_options');

// save team metadata
function industrial_project_save_options($post_id) {
    global $industrial_project_option_meta;
    $new = '';
    // verify nonce
   if (!isset($_POST['meta_box_nonce']) || !wp_verify_nonce($_POST['meta_box_nonce'], basename(__FILE__))) {
        return $post_id;
    }
   
    // check autosave
    if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
        return $post_id;
    }
    if (defined('DOING_AJAX') && DOING_AJAX)
        return;
    // check permissions
    if (isset($_POST['post_type']) && 'page' == $_POST['post_type']) {
        if (!current_user_can('edit_page', $post_id)) {
            return $post_id;
        }
    } elseif (!current_user_can('edit_post', $post_id)) {
        return $post_id;
    }

    foreach ($industrial_project_option_meta['fields'] as $field) {
        if (isset($_POST[$field['id']])) {
            $old = get_post_meta($post_id, $field['id'], true);
            $new = $_POST[$field['id']];
            if ($new && $new != $old) {
                update_post_meta($post_id, $field['id'], $new);
            } elseif ('' == $new && $old) {
                delete_post_meta($post_id, $field['id'], $old);
            }
        }
        if (isset($_POST['fontcls_' . $field['id']])) {
            $old = get_post_meta($post_id, 'fontcls_' . $field['id'], true);
            $new = $_POST['fontcls_' . $field['id']];
            
            if ($new && $new != $old) {
                update_post_meta($post_id, 'fontcls_' . $field['id'], $new);
            } elseif ('' == $new && $old) {
                delete_post_meta($post_id, 'fontcls_' . $field['id'], $old);
            }
        }
        if (isset($_POST['tlt_' . $field['id']])) {
            $old = get_post_meta($post_id, 'tlt_' . $field['id'], true);
            $new = $_POST['tlt_' . $field['id']];
            if ($new && $new != $old) {
                update_post_meta($post_id, 'tlt_' . $field['id'], $new);
            } elseif ('' == $new && $old) {
                delete_post_meta($post_id, 'tlt_' . $field['id'], $old);
            }
        }
        if (isset($_POST['val_' . $field['id']])) {
            $old = get_post_meta($post_id, 'val_' . $field['id'], true);
            $new = $_POST['val_' . $field['id']];
            if ($new && $new != $old) {
                update_post_meta($post_id, 'val_' . $field['id'], $new);
            } elseif ('' == $new && $old) {
                delete_post_meta($post_id, 'val_' . $field['id'], $old);
            }
        }
        if (isset($_POST['url_' . $field['id']])) {
            $old = get_post_meta($post_id, 'url_' . $field['id'], true);
            $new = $_POST['url_' . $field['id']];
            if ($new && $new != $old) {
                update_post_meta($post_id, 'url_' . $field['id'], $new);
            } elseif ('' == $new && $old) {
                delete_post_meta($post_id, 'url_' . $field['id'], $old);
            }
        }
    }
}
