<?php
/**
 * Industrial - 404
 * 
 * This is 404 template page  
 *
 * @package industrial
 * @since industrial 1.0.0
 */
get_header();
global $industrial_data;
do_action("industrial_banner_parallax", array("title" => $industrial_data['industrial_404_page_title']));
?>
<div class="blog-container-2">
    <div class="container">
        <div class="row">
            <div class="col-sm-8 col-xs-12">
                <?php if (!empty($industrial_data['industrial_404_page_subtitle'])) : ?>
                    <p><?php echo wp_kses_post($industrial_data['industrial_404_page_subtitle']); ?></p>
                <?php endif; ?>
                <div class="industrial_search_form">
                    <?php get_search_form(); ?>
                </div>
            </div>
            <div class="col-sm-4 col-xs-12">
                <div class="ind_sidebar_404 industrial_full">

                    <div class="row">
                        <div class="col-xs-12">
                            <?php the_widget('WP_Widget_Recent_Posts'); ?>
                        </div>
                        <div class="col-xs-12">
                            <?php if (industrial_categorized_blog()) : // Only show the widget if site has multiple categories.   ?>
                                <div class="widget widget_categories">
                                    <h2 class="widget-title"><?php esc_html_e('Most Used Categories', 'industrial'); ?></h2>
                                    <ul class="ind_ul_margin">
                                        <?php
                                        wp_list_categories(array(
                                            'orderby' => 'count',
                                            'order' => 'DESC',
                                            'show_count' => 1,
                                            'title_li' => '',
                                            'number' => 10,
                                        ));
                                        ?>
                                    </ul>
                                </div><!-- .widget -->
                            <?php endif; ?>
                        </div>
                        <div class="col-xs-12">
                            <?php
                            /* translators: %1$s: smiley */
                            $archive_content = '<p>' . sprintf(esc_html__('Try looking in the monthly archives. %1$s', 'industrial'), convert_smilies(':)')) . '</p>';
                            the_widget('WP_Widget_Archives', 'dropdown=1', "after_title=</h2>$archive_content");
                            ?>
                        </div>
                        <div class="col-xs-12">
                            <?php the_widget('WP_Widget_Tag_Cloud'); ?>
                        </div>
                    </div>
                </div>
            </div> 
        </div>
    </div><!-- .page-content -->
</div>
<?php
get_footer();
