<?php
/**
 * Industrial - Archive
 * 
 * This template is contains posts archive layout 
 *
 * @package industrial
 * @since industrial 1.0.0
 */
get_header();
do_action("industrial_banner_parallax", array("title" => get_the_author('', '')));

if ( get_the_author_meta() ) :
?>
<div class="clearfix">
    <div class="container">
        <div class="row">
            <div class="col-xs-12">
                <div class="archive-meta"><?php echo get_the_author_meta(); ?></div>
            </div>
        </div>
    </div>
</div>
<?php
endif;

global $industrial_data;
$container_class = (!empty($industrial_data['industrial_sidebarposition']) && $industrial_data['industrial_sidebarposition'] == "left") ? "industrial_left" : "industrial_right";
$container_class_full = (!empty($industrial_data['industrial_sidebarposition']) && $industrial_data['industrial_sidebarposition'] == "full") ? "blog-container-1" : "blog-container-2";
?>
<div class="<?php echo esc_attr($container_class." ".$container_class_full); ?>">
    <div class="container">
        <div class="row">
            <?php $row_class = (!empty($industrial_data['industrial_sidebarposition']) && $industrial_data['industrial_sidebarposition'] != "full") ? "col-xs-12 col-sm-8" : "col-xs-12 col-sm-12  blog-list clearfix"; ?>
            <div class="<?php echo esc_attr($row_class); ?> left-body">
                <?php
                if (have_posts()) :
                    while (have_posts()) :
                        the_post();
                        $format=(get_post_format()) ? get_post_format() : 'standard';
                        get_template_part("content/format/".$format);
                    endwhile;
                    industrial_pagenavi();
                else :
                    get_template_part('content/none');
                endif;
                ?>
            </div>
            <?php
            if ((!empty($industrial_data['industrial_sidebarposition']) && $industrial_data['industrial_sidebarposition'] != "full")):
                get_sidebar();
            endif;
            ?>
        </div>
    </div>
</div>
<?php
get_footer();
