<?php
/**
 * Industrial - Header One
 * 
 * This template is header one include logo, top info with nav menu
 * 
 * @package industrial 
 * @subpackage industrial.content.header 
 * @since industrial 1.0.0 
 */
global $industrial_data;

$sticky_header = (!empty($industrial_data['industrial_stickey_header'])) ? $industrial_data['industrial_stickey_header'] : 'normal';
?>
<!--header Section Start Here -->
<header id="header" class="<?php echo esc_attr('ind_header_home ' . $sticky_header); ?> header-one">
    <div class="primary-header">
        <div class="container">
            <div class="row">
                <div class="col-sm-5 left-header">
                    <span><?php bloginfo('description'); ?></span>
                </div>
                <div class="col-sm-7 right-header">
                    <?php
                    do_action("industrial_social_links", "");
                    if (!empty($industrial_data['industrial_contactemail'])):
                        ?>
                        <ul class="header-contact-info">
                            <li>
                                <a href="mailto:<?php echo esc_attr($industrial_data['industrial_contactemail']); ?>">
                                    <i class="fa fa-envelope-o"></i> <?php echo esc_html($industrial_data['industrial_contactemail']); ?>
                                </a>
                            </li>
                        </ul>
                        <?php
                    endif;
                    ?>
                </div>
            </div>
        </div>
    </div>
    <div class="secondry-header">
        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-sm-4">
                    <?php $industrial_logo = (!empty($industrial_data['industrial_weblogo']['url'])) ? $industrial_data['industrial_weblogo']['url'] : INDUSTRIAL_THEME_URL . '/assets/images/logo.png'; ?>
                    <a href="<?php echo esc_url(home_url('/')); ?>" class="logo"><img src="<?php echo esc_url($industrial_logo); ?>" alt="<?php bloginfo('name'); ?>" /></a>
                    <?php if (!empty($industrial_data['industrial_contactphone'])): ?>
                        <span class="num"><?php echo esc_html($industrial_data['industrial_contactphone']); ?></span>
                    <?php endif; ?>
                </div>
                <div class="col-xs-12 col-sm-8 menu-wrapper">
                    <div class="button-wrapper">
                        <button class="nav-button"></button>
                    </div>
                    <?php
                    if (!empty($industrial_data['industrial_Quote_txt']) && !empty($industrial_data['industrial_Quote_url'])):
                       
                        ?>
                        <a href="<?php echo get_permalink($industrial_data['industrial_Quote_url']); ?>" class="quote"><?php echo esc_html($industrial_data['industrial_Quote_txt']); ?></a>                    
                        <?php
                    endif;
                    ?>
                    <nav class="navigation">
                        <?php
                        $menu_args = array(
                            'theme_location' => 'primary',
                            'container' => 'none',
                            'menu_class' => 'menu ind_ul_margin',
                            'fallback_cb' => 'industrial_menu_editor',
                            'depth' => 4,
                            'walker' => new Industrial_Walker_Nav_Menu()
                        );

                        wp_nav_menu($menu_args);
                        ?>
                    </nav>
                </div>

            </div>
        </div>
    </div>

</header>
<!--header Section End Here -->
<?php 