<?php
/**
 * Industrial - Header Three
 * 
 * This template is header three include logo, top info with nav menu
 * 
 * @package industrial 
 * @subpackage industrial.content.header 
 * @since industrial 1.0.0 
 */
global $industrial_data;

$sticky_header = (!empty($industrial_data['industrial_stickey_header'])) ? $industrial_data['industrial_stickey_header'] : 'normal';
?>
<!--header Section Start Here -->
<header id="header" class="<?php echo esc_attr($sticky_header); ?> header-three">
    <div class="primary-header">
        <div class="container">
            <div class="row">
                <div class="col-sm-9 col-md-8 left-header">
                    <?php $industrial_logo = (!empty($industrial_data['industrial_weblogo']['url'])) ? $industrial_data['industrial_weblogo']['url'] : INDUSTRIAL_THEME_URL . '/assets/images/logo.png'; ?>
                    <a href="<?php echo esc_url(home_url('/')); ?>" class="logo"><img src="<?php echo esc_url($industrial_logo); ?>" alt="<?php bloginfo('name'); ?>" /></a>
                    <ul class="our-contact clearfix ind_ul_margin">
                        <?php if (!empty($industrial_data['industrial_contactphone'])): ?>
                            <li>
                                <a href="#"> <i class="fa fa-phone"></i> <span><?php echo esc_html($industrial_data['industrial_contactphone']); ?></span> </a>
                            </li>
                            <?php
                        endif;
                        if (!empty($industrial_data['industrial_contactemail'])):
                            ?>
                            <li><a href="mailto:<?php echo esc_attr($industrial_data['industrial_contactemail']); ?>">
                                    <i class="fa fa-envelope-o"></i> <span><?php echo esc_html($industrial_data['industrial_contactemail']); ?></span>
                                </a>
                            </li>
                            <?php
                        endif;
                        ?>
                    </ul>
                </div>
                <div class="col-sm-3 col-md-4 right-header">
                    <?php do_action("industrial_social_links", ""); ?>
                </div>
            </div>
        </div>
    </div>
    <div class="secondry-header">
        <div class="container">
            <div class="row">

                <div class="col-xs-12 menu-wrapper">
                    <div class="button-wrapper">
                        <button class="nav-button"></button>
                    </div>
                    <nav class="navigation">
                        <?php
                        $argsMenu = array(
                            'container' => 'none',
                            'menu_class' => 'menu ind_ul_margin',
                            'depth' => 4,
                            'walker' => new Industrial_Walker_Nav_Menu()
                        );

                        if (has_nav_menu('primary')):
                            $argsMenu['theme_location'] = "primary";
                            wp_nav_menu($argsMenu);
                        else:
                            wp_nav_menu($argsMenu);
                        endif;

                        if (!empty($industrial_data['industrial_Quote_txt'])):
                            ?><a href="<?php echo esc_url(get_page_link($industrial_data['industrial_Quote_url'])); ?>" class="quote">
                                <?php echo esc_html($industrial_data['industrial_Quote_txt']); ?>
                            </a>
                        <?php endif; ?> 
                    </nav>

                </div>

            </div>
        </div>
    </div>
</header>
<!--header Section End Here -->
