<?php
/**
 * Industrial -Single content
 * 
 * This is post single page template part
 *
 * @package industrial
 * @subpackage industrial.content
 * @since industrial 1.0.0
 */
global $post;
?>
<article id="post-<?php the_ID(); ?>" <?php post_class('full-box post'); ?>>
    <?php
    if (has_post_thumbnail($post->ID)) {
        echo industrial_set_feature_image($post->ID);
    }
    ?>
    <div class="detail animate-effect">
        <?php
        $comments_count = wp_count_comments($post->ID);
        $count = $comments_count->approved;
        ?>
        <ul class="post-detail clearfix ind_ul_margin">
            <li><?php
                if ('post' == get_post_type()) : industrial_posted_on();
                endif;
                ?></li>
            <li><a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>"><?php echo esc_html__('By', 'industrial'); ?> <?php print(get_the_author()); ?></a></li>
            <li><a href="<?php echo esc_url(get_permalink()); ?>"><?php echo esc_attr($count); ?> <?php echo esc_html__('Comments', 'industrial'); ?> </a></li>
        </ul>
        <?php the_title(sprintf('<h3>', esc_url(get_permalink())), '<i></i></h3>'); ?>
        <div class="cat-list clearfix ind_ul_margin">
            <?php
            the_category();
            ?>
        </div>
        <?php the_content(); ?>
        <div class="entry-content">
            <?php
            wp_link_pages(array(
                'before' => '<div class="page-links">' . esc_html__('Pages:', 'industrial'),
                'after' => '</div>',
            ));
            ?>
        </div><!-- .entry-content -->
        <footer class="entry-footer">
            <?php industrial_entry_footer(); ?>
        </footer><!-- .entry-footer -->
    </div>
</article><!-- #post-## -->
<?php
global $industrial_data;
if ($industrial_data['industrial_author']):
    $authorid = get_the_author_meta('ID');
    ?>
    <div class="author-detail animate-effect">
        <img src="<?php echo esc_url(industrial_resize(get_the_author_meta('user_meta_image', $authorid), "98", "98")); ?>" alt="" class="autor-img fade-effect" />
        <h3><?php esc_html_e('About the Author', 'industrial'); ?><i></i></h3>
        <strong><?php the_author_meta('nickname'); ?></strong>
        <p><?php the_author_meta('description'); ?></p>
    </div>
    <?php


endif;

