<?php

/**
 * Industrial - Functions
 * 
 * This file has collection of industrial theme required functinality  
 *
 * @package industrial
 * @since industrial 1.0.0
 */
define('INDUSTRIAL_THEME_DIR', get_template_directory());
define('INDUSTRIAL_THEME_URL', get_template_directory_uri());

/**
 * Industrial - listing of core files
 * @since industrial 1.0.0 
 */
$industrial_loading = array(
    'inc/theme-setup.php',
    'inc/login-form.php',
    'inc/enqueue-scripts.php',
    'inc/helper-function.php',
    'inc/blog-functions.php',
    'inc/comment-list.php',
    'inc/layout.php',
    'inc/lib/breadcrumb.php',
    'inc/lib/pagination.php', 
    'inc/lib/nav-walker.php',
    'inc/lib/image-resize.php',
    'inc/lib/social-links.php',
    'inc/plugin-support.php',
    'inc/widgets/widgets.php',
    'inc/user/meta.php',
    'vendor/vendor.php',
);
industrial_loader($industrial_loading);

//Theme JS Composer 
if (defined('WPB_VC_VERSION')) {
    industrial_inclusion('vc_templates/vc-map/vc-map.php');
}

/**
 * Industrial - loader file
 * 
 * @param array $files
 * @return void
 * @since Industrial 1.0.0 
 */
function industrial_loader($files) {
    foreach ($files as $file) {
    	industrial_inclusion($file);
    }
}

/**
 * Industrial - file inclusion
 *
 * @param string $path
 * @param boolean $include_once
 * @return void
 *
 * @since industrial 1.0.0
 */

function industrial_inclusion($path, $require = true, $once = true, $return=false){
	  $file_path = locate_template($path);
    if(empty($file_path)) {
        $hit_theme = wp_get_theme();
        $html='<h2>'.esc_html__('ERROR:', 'industrial').' </h2>';
        $html.='<p>"'.$hit_theme->stylesheet.'/'.$path.'" file not exists.</p>';
        wp_die($html, esc_html__('File not exists', 'industrial')); 
    };
	
	//default: require_once
	if($once){
		if($require){
			require_once $file_path;// trailingslashit( get_template_directory() ).$path;
		}
		else{
			include_once $file_path;// trailingslashit( get_template_directory() ).$path;
		}
	}
	else{
		if($require){
			require $file_path;// trailingslashit( get_template_directory() ).$path;
		}
		else{
			if($return){
				return include $file_path;// trailingslashit( get_template_directory() ).$path;
					
			}
			else{
				include $file_path;// trailingslashit( get_template_directory() ).$path;
			}
				
		}
	}

}