<?php
/**
 * Industrial - Comment List
 * 
 * This template is comment reply & list walker 
 *
 * @package industrial
 * @subpackage industrial.inc
 * @since industrial 1.0.0
 */
if (!function_exists('industrial_custom_comments')) {

    function industrial_custom_comments($comment, $args, $depth) {
        $GLOBALS['comment'] = $comment;
        extract($args, EXTR_SKIP);
        if ('div' == $args['style']) {
            $tag = 'div';
            $add_below = 'comment';
        } else {
            $tag = 'li';
            $add_below = 'div-comment';
        }
        ?>
        <<?php echo esc_attr($tag); ?> <?php comment_class(empty($args['has_children']) ? 'zoom' : 'parent zoom' ); ?>  id='comment-<?php comment_ID(); ?>'  >
        <?php if ('div' != $args['style']) : ?>
            <div id="div-comment-<?php comment_ID(); ?>" >
            <?php endif; ?>

            <figure class="profile-img fade-effect">
                <?php echo get_avatar($comment, $size = '90'); ?>
            </figure>

            <div class="msg-detail">
                <em></em> 
                <span class="date"><?php
                $inate = "date_i18n";
                print($inate('F j, Y', strtotime($comment->comment_date)));
                ?></span>
                <h4><?php echo esc_html($comment->comment_author); ?> <i></i></h4>

                <?php
                if ($comment->comment_approved != '0') {
                    comment_text();
                } else {
                    echo '<p>';
                    esc_html_e('Your comment is awaiting moderation.', 'industrial');
                    echo '</p>';
                }
                ?>

                <?php comment_reply_link(array_merge($args, array('add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth']))); ?>
            </div>

            <?php if ('div' != $args['style']) : ?>
            </div>
            <?php
        endif;
    }

}
