<?php

/**
 * Enqueue scripts and styles.
 * 
 * @package industrial
 * @subpackage industrial.inc
 * @since industrial 1.0.0
 */
function industrial_styles_scripts() {

    global $industrial_data;
    $ind_theme_url = get_template_directory_uri();

    //@styles
    wp_register_style('ind.style', get_stylesheet_uri(), array(), null, 'all');
	wp_register_style('ind.fancy', $ind_theme_url . '/assets/fanncy-box/jquery.fancybox.css', array(), null, 'all');
    wp_register_style('ind.normalize', $ind_theme_url . '/assets/css/normalize.css', array(), null, 'all');
    wp_register_style('ind.google.font', add_query_arg(array('family' => urlencode('Montserrat:400,700|Open Sans:400,800italic,800,700italic,700,600italic,600,400italic,300italic,300|Libre Baskerville:400,400italic,700|Lato:400,300,300italic,400italic,700,700italic,900,900italic')), '//fonts.googleapis.com/css'), array(), null, 'all');

    wp_register_style('ind.bootstrap.min', $ind_theme_url . '/assets/css/bootstrap.min.css', array(), null, 'all');
    wp_register_style('ind.font.awesome.min', $ind_theme_url . '/assets/css/font-awesome.min.css', array(), null, 'all');
    wp_register_style('ind.site', $ind_theme_url . '/assets/css/site.css', array(), null, 'all'); //industral-style.css
    wp_register_style('ind.responsive', $ind_theme_url . '/assets/css/responsive.css', array(), null, 'all');
    wp_register_style('ind.transition.effect', $ind_theme_url . '/assets/css/transition.effect.css', array(), null, 'all');

    //theme switcher css
    $theme = (isset($industrial_data["industrial_theme"]) && $industrial_data["industrial_theme"] != "") ? $industrial_data["industrial_theme"] : "theme1";
    wp_register_style('ind.global', $ind_theme_url . '/assets/css/' . $theme . '/global.css', array(), null, 'all');
    wp_enqueue_style('ind.style');
    wp_enqueue_style('ind.normalize');
	 wp_enqueue_style('ind.fancy');
	 
    wp_enqueue_style('ind.google.font');
    wp_enqueue_style('ind.bootstrap.min');
    wp_enqueue_style('ind.font.awesome.min');
    wp_enqueue_style('ind.global'); //theme switcher
    wp_enqueue_style('ind.site');
    wp_enqueue_style('ind.responsive');
    wp_enqueue_style('ind.transition.effect');
    //@scripts
    wp_register_script('ind.bootstrap.min', $ind_theme_url . '/assets/js/bootstrap.min.js', array('jquery'), null, true);
    wp_register_script('ind.less', $ind_theme_url . '/assets/js/less.js', array('jquery'), null, true);
    wp_register_script('ind.mapjs', $ind_theme_url . '/assets/js/mapjs.js', array('jquery'), null, true);
    wp_register_script('ind.jquery.bxslider', $ind_theme_url . '/assets/js/jquery.bxslider.js', array('jquery'), null, true);
    wp_register_script('ind.jquery.flexslider', $ind_theme_url . '/assets/js/jquery.flexslider.js', array('jquery'), null, true);
	//wp_register_script('ind.jquery.fancybox_pack', $ind_theme_url . '/assets/js/jquery.fancybox.pack.js', array('jquery'), null, true);
	wp_register_script('ind.jquery.fancybox', $ind_theme_url . '/assets/js/jquery.fancybox.js', array('jquery'), null, true);
    wp_register_script('ind.site', $ind_theme_url . '/assets/js/site.js', array('jquery'), null, true);
	
	$googleapisArgs = array('sensor' => false);
    $google_map_api_key = $industrial_data['industrial_google_map_api_key'];
    if(!empty($google_map_api_key)) {
	$googleapisArgs['key'] = $google_map_api_key;
    }
    
    wp_register_script('mapjuery', add_query_arg($googleapisArgs,'//maps.googleapis.com/maps/api/js'), array('jquery'), null, true);

    // wp_register_script('mapjuery', 'http://maps.googleapis.com/maps/api/js?key=AIzaSyDYoaFiDkM2B-QpoojPfWaMVzFdGCn8a8g&sensor=false', array('jquery'), null, false);


    wp_register_script('ind.jquery.easing', $ind_theme_url . '/assets/theme-option/jquery.easing.js', array('jquery'), null, true);
    wp_register_script('ind.theme.options', $ind_theme_url . '/assets/theme-option/theme-option.js', array('jquery'), null, true);

    wp_register_script('ind.form.validation', $ind_theme_url . '/assets/js/validation.js', array('jquery'), null, true);
    wp_register_script('ind.jquery.plugin', $ind_theme_url . '/assets/countdown/jquery.plugin.js', array('jquery'), null, true);
    wp_register_script('ind.jquery.countdown', $ind_theme_url . '/assets/countdown/jquery.countdown.js', array('jquery'), null, true);



    wp_enqueue_script('ind.bootstrap.min');
    wp_enqueue_script('ind.less');
    wp_enqueue_script('ind.jquery.bxslider');
    wp_enqueue_script('ind.jquery.flexslider');
	wp_enqueue_script('ind.jquery.fancybox');
	wp_enqueue_script('ind.jquery.fancybox_pack');
    wp_enqueue_script('ind.site');
    if (is_singular() && comments_open() && get_option('thread_comments')) {
        wp_enqueue_script('comment-reply');
    }
    wp_enqueue_script('ind.jquery.easing');
    wp_enqueue_script('ind.theme.options');

    wp_enqueue_script('ind.form.validation');
    wp_enqueue_script('ind.jquery.plugin');
    wp_enqueue_script('ind.jquery.countdown');
    $site_params = array(
        'themeURL' => get_template_directory_uri(),
        'ajax_url' => admin_url('admin-ajax.php'),
        'countdown' => date("F d, Y h:i:s", strtotime($industrial_data['opt-datepicker'])),
    );
    wp_localize_script('ind.site', 'IND_SITE', $site_params);

    $option_params = array(
        'themeURL' => get_template_directory_uri(),
        'color' => (!empty($industrial_data['industrial_style_switcher_color'])) ? $industrial_data['industrial_style_switcher_color'] : "#f38929",
        'global_font' => (!empty($industrial_data['industrial_theme_font']['font-family'])) ? $industrial_data['industrial_theme_font']['font-family'] : '"Lato",sans-serif',
        'ajax_url' => admin_url('admin-ajax.php'),
        'header' => (!empty($industrial_data['industrial_stickey_header'])) ? $industrial_data['industrial_stickey_header'] : 'normal',

    );
    wp_localize_script('ind.theme.options', 'IND_OPTIONS', $option_params);
}

add_action('wp_enqueue_scripts', 'industrial_styles_scripts');

function industrial_header_skin_less() {
    global $industrial_data;
    $ind_theme_url = get_template_directory_uri();

    //theme switcher css
    $theme = (isset($industrial_data["industrial_theme"]) && $industrial_data["industrial_theme"] != "") ? $industrial_data["industrial_theme"] : "theme1";
    echo '<link rel="stylesheet/less" href="' . $ind_theme_url . '/assets/css/' . $theme . '/skin.less">';
    ?> 
    <style type="text/css">
        #pageloader .loader-item{
            background:<?php echo (!empty($industrial_data['industrial_style_switcher_color'])) ? $industrial_data['industrial_style_switcher_color'] : "#f38929"; ?>;
        }
    </style>
    <?php
}

add_action("wp_head", "industrial_header_skin_less");

function industrial_header_ie_meta() {
    ?>
    <!--[if lt IE 9]>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <script src="<?php ?>https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
    <script src="<?php ?>https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    <?php
}

add_action("wp_head", "industrial_header_ie_meta");

/**
 * Add Favicon
 */
if (!function_exists('has_site_icon') || !has_site_icon()) {

    function industrial_favicon() {
        global $industrial_data;
        $ind_theme_url = get_template_directory_uri();
        $favicon = (!empty($industrial_data['industrial_faviconurl']['url'])) ? $industrial_data['industrial_faviconurl']['url'] : $ind_theme_url . '/assets/images/favicon.ico';
        echo '<link rel="shortcut icon" type="image/x-icon" href="' . esc_url($favicon) . '"  />';
    }

    add_action("wp_head", "industrial_favicon");
}

/**
 * Admin Eneque
 */
function industrial_admin_style() {
    $ind_theme_url = get_template_directory_uri();
    wp_register_style('industrial.font.awesome.min', $ind_theme_url . '/assets/css/font-awesome.min.css', array(), null, 'all');
    wp_register_style('industrial.admin', $ind_theme_url . '/assets/admin/admin-style.css', false, '1.0.0');

    wp_enqueue_style('industrial.font.awesome.min');
    wp_enqueue_style('industrial.admin');

    wp_enqueue_media();
}

add_action('admin_enqueue_scripts', 'industrial_admin_style');

function ind_mapjson() {
    global $industrial_data;
    $markers = array();
    if (!empty($industrial_data['industrial_Latitude_Longitude'])):
        foreach ($industrial_data['industrial_Latitude_Longitude'] as $marker) {
            $mark = explode(',', $marker);
            if (!empty($mark[0]) || !empty($mark[1]) || !empty($mark[2])) {
                $markers[] = array(
                    "title" => $mark[0],
                    "lat" => $mark[1],
                    "lng" => $mark[2]
                );
            }
        }
    endif;
    echo '<script> var markers = ' . json_encode($markers, true) . '</script>';
}

add_action('wp_head', 'ind_mapjson', 15);
