<?php
/**
 * Industrial social link
 *
 * @package     industrial
 * @subpackage industrial.inc
 * @since industrial 1.0.0
 */

add_action("industrial_social_links", "industrial_social_link");

function industrial_social_link($ul_class){
    global $industrial_data;
    
    $aSocial=array(
        "Vimeo" => array("class"=> "vimeo-square","link"=> $industrial_data['industrial_vimeourl']),
        "Skype" => array("class"=> "skype","link"=> $industrial_data['industrial_skypeurl']),
        "Dribbble" => array("class"=> "dribbble","link"=> $industrial_data['industrial_dribbbleurl']),
        "Youtube" => array("class"=> "youtube","link"=> $industrial_data['industrial_youtubeurl']),
        "Twitter" => array("class"=> "twitter","link"=> $industrial_data['industrial_twitterurl']),
        "Facebook" => array("class"=> "facebook","link"=> $industrial_data['industrial_facebookurl']),
        "Linkedin" => array("class"=> "linkedin-square","link"=> $industrial_data['industrial_linkedinurl']),
        "Flickr" => array("class"=> "flickr","link"=> $industrial_data['industrial_flickrurl']),
        "Google Plus" => array("class"=> "google-plus","link"=> $industrial_data['industrial_gpurl']),
        "Pinterest" => array("class"=> "pinterest","link"=> $industrial_data['industrial_pinteresturl']),
    );
    
    $show_socials = $industrial_data['industrial_displaysocial'];
    
    if(isset($show_socials['SHOW'])):
        ?><ul class="<?php echo esc_attr($ul_class); ?>"><?php
        foreach($show_socials['SHOW'] as $val):
            if(array_key_exists($val, $aSocial) && !empty($aSocial[$val]["link"])):
                ?><li><a href="<?php echo esc_url($aSocial[$val]["link"]); ?>" title="<?php echo esc_attr($val); ?>" target="_blank"><i class="fa fa-<?php echo esc_attr($aSocial[$val]["class"]); ?>"></i></a></li><?php
            endif;
        endforeach;
        ?></ul><?php
    endif;
}
