<?php
/**
 * Industrial - login form
 * @package industrial
 * @subpackage industrial.inc 
 * @since industrial 1.0.0
 */


add_action('login_head', 'industrial_login_logo');
function industrial_login_logo() {
	global $industrial_data;
    $site_logo = $industrial_data['industrial_weblogo']['url'] ? $industrial_data['industrial_weblogo']['url'] : get_stylesheet_directory_uri() . "/assets/images/logo.png";
    $color = $industrial_data['industrial_style_switcher_color'] ? $industrial_data['industrial_style_switcher_color'] : '#ffffff';
    echo "<style type='text/css'>
       body.login div#login h1 a{ background-image: url('" . esc_url($site_logo) . "') !important; }
        body.login{ background-color: " . esc_attr($color) . "!important; }
    </style>";
}


add_action( 'login_enqueue_scripts', 'industrial_login_stylesheet' );
function industrial_login_stylesheet() {
    wp_enqueue_style( 'industrial-login', get_template_directory_uri() . '/assets/admin/login-style.css', array(), null, 'all' );
    
}

add_filter('login_headerurl', 'industrial_wp_login_url');
function industrial_wp_login_url() {
    return site_url('/');
}

add_filter('login_headertitle', 'industrial_wp_login_title');
function industrial_wp_login_title() {
    return get_option('blogname');
}

