<?php

/**
 * Industrial Theme Option for Contact Part
 * 
 * @package industrial
 * @since industrial 1.0.0
 */
return array(
    'icon' => 'el-icon-map-marker',
    'title' => esc_html__('Contact Setting', 'industrial'),
    'fields' => array(
        array(
            'id' => 'footer_contact_switch',
            'type' => 'switch',
            'title' => esc_html__('Enable contact info', 'industrial'),
            'desc' => esc_html__('Enable contact information above the footer', 'industrial'),
            'default'   => true,
        ),
        array(
            'id' => 'industrial_linkcontactpage',
            'type' => 'select',
            'title' => esc_html__('Link Contact page', 'industrial'),
            'subtitle' => esc_html__('', 'industrial'),
            'data' => 'pages',
            'desc' => esc_html__('select page', 'industrial')
        ),
        array(
            'id' => 'industrial_textcontactpage',
            'type' => 'text',
            'title' => esc_html__('Button Text contact page', 'industrial'),
            'subtitle' => esc_html__('', 'industrial'),
            'desc' => esc_html__('', 'industrial')
        ),
        array(
            'id' => 'industrial_contactemail',
            'type' => 'text',
            'title' => esc_html__('Email Address', 'industrial'),
            'subtitle' => esc_html__('', 'industrial'),
            'desc' => esc_html__('Eg. : admin@industrial.com', 'industrial')
        ),
        array(
            'id' => 'industrial_contactphone',
            'type' => 'text',
            'title' => esc_html__('Phone No.', 'industrial'),
            'subtitle' => esc_html__('', 'industrial'),
            'desc' => esc_html__('Eg. : 61 3 8376 6284', 'industrial')
        ),
        array(
            'id' => 'industrial_contactaddress',
            'type' => 'textarea',
            'title' => esc_html__('Home Address', 'industrial'),
            'subtitle' => esc_html__('', 'industrial'),
            'desc' => esc_html__('Eg. : 121 King St ,Melbourne VIC 3000', 'industrial')
        ),
        array(
            'id' => 'industrial_google_map_api_key',
            'type' => 'text',
            'title' => esc_html__('Google Map Api Key', 'industrial'),
            'subtitle' => esc_html__('', 'industrial'),
            'desc' => __('Enter Google Map Api Key <a target="blank" href="https://developers.google.com/maps/documentation/javascript/get-api-key#key">Click here</a>', 'industrial')
        ),
        array(
                'id'        => 'industrial_Latitude_Longitude',
                'type'      => 'multi_text',
                'title'     => esc_html__('Google Map Latitude & Longitude ', 'industrial'),
                'subtitle'  => esc_html__('', 'industrial'),
                'desc'      => esc_html__('Eg. : Marker On Highlights(text), 22.962267, 67.162245', 'industrial')
        ),

    )
);
