<?php
/**
 * Industrial Typography
 *
 * @package industrial
 * @since industrial 1.0.0
 */

return array(
    'title' => esc_html__('Typography', 'industrial'),
    'icon' => 'el-icon-brush', // change icon class
    'fields' => array(
        array(
            'id' => 'industrial_style_switcher_color',
            'type' => 'color',
            'title' => esc_html__('Color Option', 'industrial'),
            'subtitle' => esc_html__('Pick a color for theme (default: #f38929).', 'industrial'),
            'transparent' => false,
            'default' => '#f38929',
            'validate' => 'color',
        ),
        array(
            'id' => 'industrial_theme_font',
            'type' => 'typography',
            'title' => esc_html__('Font', 'industrial'),
            'subtitle' => 'Google fonts',
            'desc' => '',
            //'compiler'      => true,  // Use if you want to hook in your own CSS compiler
            //'google'      => false,
            // Disable google fonts. Won't work if you haven't defined your google api key
            'font-backup' => false,
            // Select a backup non-google font in addition to a google font
            'font-style' => false, // Includes font-style and weight. Can use font-style or font-weight to declare
            'subsets' => false, // Only appears if google is true and subsets not set to false
            'font-size' => false,
            'line-height' => false,
            'word-spacing' => false, // Defaults to false
            'letter-spacing' => false, // Defaults to false
            'color' => false,
            'preview' => false, // Disable the previewer
            'all_styles' => true,
            'text-align' => false,
            'font-weight' => false,
            'default' => array(
                'font-family' => '',
            ),
        ),
        array(
            'id' => 'industrial_theme_effect',
            'type' => 'select',
            'title' => esc_html__('Theme Effect', 'industrial'),
            'subtitle' => '',
            'desc' => '',
            'options' => array(
                'normal' => esc_html__('Normal', 'industrial'),
                'transition' => esc_html__('Transition', 'industrial'),
            ),
            'default' => 'normal'
        ),
       /* array(
            'id' => 'industrial_sidebarposition',
            'type' => 'image_select',
            'compiler' => true,
            'desc' => esc_html__('Note : this setting isn\'t allowing for posts & pages.', 'industrial'),
            'title' => esc_html__('Theme Sidebar Position', 'industrial'),
            'subtitle' => esc_html__('Select main content and sidebar alignment. Choose between 1, 2 or 3 column layout.', 'industrial'),
            'options' => array(
                'full' => array('alt' => '1 Column', 'img' => ReduxFramework::$_url . 'assets/img/1col.png'),
                'left' => array('alt' => '2 Column Left', 'img' => ReduxFramework::$_url . 'assets/img/2cl.png'),
                'right' => array('alt' => '2 Column Right', 'img' => ReduxFramework::$_url . 'assets/img/2cr.png'),
            ),
            'default' => 'right'
        ),*/
    )
);
