<?php

/**
 * Industrial - User meta images
 *
 * @package industrial
 * @subpackage industrial.inc.user
 * @since  industrial 1.0.0
 */
class IndustrialUserMeta {

    public function __construct() {
        $this->action();
    }

    public function action() {
        //user_new_form
        add_action('show_user_profile', array(&$this, 'userProfile'));
        add_action('edit_user_profile', array(&$this, 'userProfile'));
        add_action('personal_options_update', array(&$this, 'userSaveProfile'));
        add_action('edit_user_profile_update', array(&$this, 'userSaveProfile'));
        add_action("admin_enqueue_scripts", array(&$this, "enqueue_scripts"));
    }

    function enqueue_scripts() {
        global $pagenow;

        if ($pagenow == "profile.php" || $pagenow == "user-new.php"):
            wp_register_style('industrial.user.media', INDUSTRIAL_THEME_URL . '/inc/user/user.media.css', array(), null, 'all');
            wp_enqueue_style('industrial.user.media');

            wp_register_script('industrial.user.media', INDUSTRIAL_THEME_URL . '/inc/user/user.media.js', array('jquery'), null, true);
            wp_enqueue_media();
            wp_enqueue_script("industrial.user.media");

        endif;
    }

    function userProfile($user) {
        industrial_inclusion('inc/user/meta-ui.php');
    }

    function userSaveProfile($user_id) {
        if (!isset($_POST['industrial_author_nonce']) || !wp_verify_nonce($_POST['industrial_author_nonce'], 'industrial_author_action')) {
            wp_die("Wrong Profile");
            return "";
        }


        if (isset($_POST['industrial_author_profile'])):
            foreach ($_POST['industrial_author_profile'] as $key => $val):
                update_user_meta($user_id, $key, $val);
            endforeach;
        endif;
    }

}

new IndustrialUserMeta();
