<?php
/**
 * Industrial - Navigation Widgets
 * 
 * Navigation widgets functinality  
 *
 * @package industrial
 * @since industrial 1.0.0
 */
class Industrial_Page_navigate extends WP_Widget {

    function __construct() {
        parent::__construct(
                'Industrial_Page_navigate', // Base ID
                esc_html__('Industrial Page Navigation', 'industrial'), // Name
                array('description' => esc_html__('Footer page navigation Widget', 'industrial'),) // Args
        );
    }

    public function widget($args, $instance) {
        if (isset($instance['title'])) {
            $title = $instance['title'];
        } else {
            $title = '';
        }
        echo wp_kses_post($args['before_widget']);
        echo wp_kses_post($args['before_title']) . esc_html($title) . wp_kses_post($args['after_title']);
        wp_nav_menu(array('theme_location' => 'footer_primary', 'container' => 'none', 'menu_class' => 'list clearfix ind_ul_margin', 'depth' => 0));
        echo wp_kses_post($args['after_widget']);
    }

    public function form($instance) {
        if (isset($instance['title'])) {
            $title = $instance['title'];
        } else {
            $title = '';
        }
        ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('title')); ?>"><?php esc_html_e('Title:', 'industrial'); ?></label> 
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id('title'));; ?>" name="<?php echo esc_attr($this->get_field_name('title')); ?>" type="text" value="<?php echo esc_attr($title); ?>">
        </p>
        <?php
    }

    public function update($new_instance, $old_instance) {
        $instance = array();
        $instance['title'] = (!empty($new_instance['title']) ) ? strip_tags($new_instance['title']) : '';
        return $instance;
    }

}

function register_page_navigation_widget() {
    register_widget('Industrial_Page_navigate');
}

add_action('widgets_init', 'register_page_navigation_widget');

