<?php
/**
 * Template Name: Industrial Blog
 * 
 * This is blog page template
 *
 * @package industrial
 * @since industrial 1.0.0
 */

get_header();
do_action("industrial_banner_parallax", array("title" => get_the_title()));

global $industrial_data;
$container_class = (!empty($industrial_data['industrial_sidebarposition']) && $industrial_data['industrial_sidebarposition'] == "left") ? "industrial_left" : "industrial_right";
$container_class_full = (!empty($industrial_data['industrial_sidebarposition']) && $industrial_data['industrial_sidebarposition'] == "full") ? "blog-container-1" : "blog-container-2";
?>
<div class="<?php echo esc_attr($container_class." ".$container_class_full); ?>">
    <div class="container">
        <div class="row">
            <?php $row_class = (!empty($industrial_data['industrial_sidebarposition']) && $industrial_data['industrial_sidebarposition'] != "full") ? "col-xs-12 col-sm-8" : "col-xs-12 col-sm-12  blog-list clearfix"; ?>
            <div class="<?php echo esc_attr($row_class); ?> left-body">
                <?php
                $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
                $args = array(
                    'post_type' => 'post',
                    'paged' => $paged
                );
                $blog_query=new WP_Query($args);
                
                if ($blog_query->have_posts()) :
                    while ($blog_query->have_posts()) :
                        $blog_query->the_post();
                        $format=(get_post_format()) ? get_post_format() : 'standard';
                        get_template_part("content/format/".$format);
                    endwhile;
                    industrial_pagenavi($blog_query);
                else :
                    get_template_part('content/none');
                endif;
                wp_reset_postdata();
                ?>
            </div>
            <?php
            if ((!empty($industrial_data['industrial_sidebarposition']) && $industrial_data['industrial_sidebarposition'] != "full")):
                get_sidebar();
            endif;
            ?>
        </div>
    </div>
</div>
<?php
get_footer();

