<?php
/**
 * Industrial - Default page
 * 
 * This is default page layout  
 *
 * @package industrial
 * @since industrial 1.0.0
 */

get_header();
do_action("industrial_banner_parallax", array("title" => get_the_title()));
?>
<div class="industrial_full">
    <div class="container">
        <div class="row">
            <div class="col-xs-12 col-sm-12 left-body">
                <?php while (have_posts()) : the_post(); ?>
                    <article id="post-<?php the_ID(); ?>" <?php post_class('full-box post'); ?>>
                        <?php the_content(); 
                        wp_link_pages(array(
                            'before' => '<div class="page-links">' . esc_html__('Pages:', 'industrial'),
                            'after' => '</div>',
                        ));
                        ?>
                        <footer class="entry-footer">
                            <?php edit_post_link(esc_html__('Edit', 'industrial'), '<span class="edit-link">', '</span>'); ?>
                        </footer><!-- .entry-footer -->
                        <!-- </div> -->
                    </article>
                    <div class="page_comment_wrapper">
                        <?php
                        global $industrial_data;
                        if (isset($industrial_data['industrial_page_comment']) && $industrial_data['industrial_page_comment']) {
                            // If comments are open or we have at least one comment, load up the comment template.
                            if (comments_open() || get_comments_number()) :
                                comments_template();
                            endif;
                        }
                        ?>
                    </div>
                <?php endwhile; ?>
            </div>
        </div>
    </div>
</div>
<?php
get_footer();
