<?php
/**
 * Industrial -Single Project
 *
 * This is post single project page template
 *
 * @package industrial
 * @since industrial 1.0.0
 */

get_header(); 

do_action("industrial_banner_parallax", array("title" => get_the_title()));
 ?>
<div class="container">
 <div class="row">
<?php while ( have_posts() ) : the_post(); ?>
	<div class="col-xs-12">
	<div class="project-detail-container clearfix">
		<div class="upper-box clearfix">
			<div class="left-detail"><h3>
				<?php the_title(); ?><i></i></h3>
				<?php $subtitle = get_post_meta($post->ID,'industrialcore_projectsubtitle',true);?>
				<strong><?php echo esc_html($subtitle) ?></strong>
			</div>
			<div class="right-detail">
			 <ul class="clearfix ind_ul_margin">
				<li> <a href="<?php echo esc_url(get_post_meta($post->ID,'url_industrialcore_projectdesign',true)); ?>"><i class="<?php echo esc_html(get_post_meta($post->ID,'fontcls_industrialcore_projectdesign',true)); ?>"></i> <span><?php echo esc_html(get_post_meta($post->ID,'tlt_industrialcore_projectdesign',true)); ?></span></a> </li>
				<li> <a href="<?php echo esc_url(get_post_meta($post->ID,'url_industrialcore_projectmanagement',true)); ?>"><i class="<?php echo esc_html(get_post_meta($post->ID,'fontcls_industrialcore_projectmanagement',true)); ?>"></i> <span><?php echo esc_html(get_post_meta($post->ID,'tlt_industrialcore_projectmanagement',true)); ?></span></a>	</li>
				<li> <a href="<?php echo esc_url(get_post_meta($post->ID,'url_industrialcore_projectdevery',true)); ?>"><i class="<?php echo esc_html(get_post_meta($post->ID,'fontcls_industrialcore_projectdevery',true)); ?>"></i> <span><?php echo esc_html(get_post_meta($post->ID,'tlt_industrialcore_projectdevery',true)); ?></span></a> </li>
			 </ul>
			</div>
		</div>
		<div class="about-project">
			<?php echo industrial_set_feature_image($post->ID,'fade-effect'); ?>
			<div class="detail">
				<h4><?php print(get_post_meta($post->ID,'industrialcore_pdf_section_title',true)); ?></h4>
				<ul class="ind_ul_margin">
					<li>
						<i class="<?php echo esc_html(get_post_meta($post->ID,'fontcls_industrialcore_sector',true)); ?>"></i>
							<strong><?php echo esc_html(get_post_meta($post->ID,'tlt_industrialcore_sector',true)); ?></strong>
							<em></em>
						<span><?php echo esc_html(get_post_meta($post->ID,'val_industrialcore_sector',true)); ?></span>
					</li>
					<li>
						<i class="<?php echo esc_html(get_post_meta($post->ID,'fontcls_industrialcore_location',true)); ?>"></i>
							<strong><?php echo esc_html(get_post_meta($post->ID,'tlt_industrialcore_location',true)); ?></strong>
							<em></em>
						<span><?php echo esc_html(get_post_meta($post->ID,'val_industrialcore_location',true)); ?></span>
					</li>
					<li>
						<i class="<?php echo esc_html(get_post_meta($post->ID,'fontcls_industrialcore_value',true)); ?>"></i>
							<strong><?php echo esc_html(get_post_meta($post->ID,'tlt_industrialcore_value',true)); ?></strong>
							<em></em>
						<span><?php echo esc_html(get_post_meta($post->ID,'val_industrialcore_value',true)) ?></span>
					</li>
				</ul>
				<a href="<?php echo esc_url(get_post_meta($post->ID,'industrialcore_pdfurl',true)); ?>" target="_blank"><i class="icon-pdf-file"></i> <?php echo esc_html_e('DOWNLOAD PROJECT PDF','industrial'); ?></a>
			</div>
		</div>
	</div>
	</div>
	<div class="project-discription clearfix">
		<?php the_content(); ?>
	</div>
<?php endwhile; ?>
</div></div>
<?php get_footer(); ?>
