<?php
/**
 * Industrial - project filter shortcode
 *
 * @package industrial.vc_templates
 * @since industrial 1.0.0
 */
extract(shortcode_atts(array(
    'title' => '',
    'subtitle' => '',
    'filterlayout' => 'Filter formate one',
    'projectcount' => '',
    'order' => 'ASC'
                ), $atts));

global $post;

wp_register_script('jquery_isotope', INDUSTRIAL_THEME_URL . '/assets/js/jquery.isotope.min.js', array('jquery'), null, true);
wp_enqueue_script('jquery_isotope');
wp_register_script('jquery_masonry', INDUSTRIAL_THEME_URL . '/assets/js/animated-masonry-gallery.js', array('jquery'), null, true);
wp_enqueue_script('jquery_masonry');

if ($filterlayout == 'No filter' || $filterlayout == 'No filter with short description') :
    $args = array(
        'post_type' => 'project',
        'posts_per_page' => $projectcount,
        'order' => $order,
    );
else :
    $args = array(
        'post_type' => 'project',
        'order' => $order,
        'posts_per_page' => -1
    );
endif;

$query = new WP_Query($args);

if ($filterlayout == 'Filter formate one') {
    ?>
    <div class="container">
    <div class="project-category clearfix">
        <?php if (!empty($title)) : ?>
            <h3><?php echo esc_html($title); ?><i></i></h3>
        <?php endif; ?>
        <div id="project-gallery">
            <?php do_action("industrial_project_category_nav", array("subtitle" => $subtitle, "class" => 'category-box')); ?>
            <div id="gallery-content">
                <ul id="gallery-content-center" class="project-list ind_ul_margin">
                    <?php
                    if ($query->have_posts()) :
                        while ($query->have_posts()) : $query->the_post();
                            $filter_class = apply_filters('industrial_project_category_filter', $post->ID);
                            ?>
                            <li class="all <?php echo esc_attr($filter_class); ?> zoom">
                                <?php
                                if (has_post_thumbnail($post->ID)) :
                                    industrial_set_feature_image($post->ID, '', '570', '436');
                                endif;
                                ?>	
                                <div class="detail clearfix animate-effect">
                                    <h4><a href="<?php echo esc_url(get_the_permalink($post->ID)); ?>"><?php echo esc_html(get_the_title($post->ID)); ?></a> <i></i></h4>
                                    <h5><?php echo get_post_meta($post->ID, 'industrialcore_projectwhatwedone', true); ?></h5>
                                    <ul class="clearfix ind_ul_margin">
                                        <li>
                                            <a href="<?php echo esc_url(get_post_meta($post->ID, 'url_industrialcore_projectdesign', true)); ?>"><i class="<?php echo esc_attr(get_post_meta($post->ID, 'fontcls_industrialcore_projectdesign', true)); ?>"></i> <span><?php echo esc_html(get_post_meta($post->ID, 'tlt_industrialcore_projectdesign', true)); ?></span></a>
                                        </li>
                                        <li>
                                            <a href="<?php echo esc_url(get_post_meta($post->ID, 'url_industrialcore_projectmanagement', true)); ?>"><i class="<?php echo esc_attr(get_post_meta($post->ID, 'fontcls_industrialcore_projectmanagement', true)); ?>"></i> <span><?php echo esc_html(get_post_meta($post->ID, 'tlt_industrialcore_projectmanagement', true)); ?></span></a>
                                        </li>
                                        <li>
                                            <a href="<?php echo esc_url(get_post_meta($post->ID, 'url_industrialcore_projectdevery', true)); ?>"><i class="<?php echo esc_attr(get_post_meta($post->ID, 'fontcls_industrialcore_projectdevery', true)); ?>"></i> <span><?php echo esc_html(get_post_meta($post->ID, 'tlt_industrialcore_projectdevery', true)); ?></span></a>
                                        </li>
                                    </ul>
                                    <p><?php echo esc_html(get_post_meta($post->ID, 'industrialcore_briefdesc', true)); ?></p>
                                    <a href="<?php echo esc_url(get_the_permalink($post->ID)); ?>" class="view"><?php echo esc_html_e('VIEW PROJECT', 'industrial'); ?></a>
                                </div>

                            </li>
                            <?php
                        endwhile;
                    endif;
                    ?>
                </ul>
            </div>
        </div>
    </div>
    </div>
<?php } elseif ($filterlayout == 'Filter formate two') { ?>
	<div class="container">
    <div class="project-category-1 clearfix">
        <?php if (!empty($title)) : ?>
            <h3><?php echo esc_html($title); ?><i></i></h3>
        <?php endif; ?>
        <div id="project-gallery">
            <?php do_action("industrial_project_category_nav", array("subtitle" => $subtitle, "class" => 'category-box-1 clearfix')); ?>
            <div id="gallery-content">
                <ul id="gallery-content-center" class="project-list-1 clearfix ind_ul_margin">
                    <?php
                    if ($query->have_posts()) :
                        while ($query->have_posts()) : $query->the_post();
                            $filter_class = apply_filters('industrial_project_category_filter', $post->ID);
                            ?>
                            <li class="all <?php echo esc_attr($filter_class); ?> zoom">
                                <?php
                                if (has_post_thumbnail($post->ID)) :
                                    industrial_set_feature_image($post->ID, 'fade-effect', '380', '320');
                                endif;
                                ?>
                                <div class="detail animate-effect">
                                    <h4><a href="<?php echo esc_url(get_the_permalink($post->ID)); ?>"><?php echo esc_html(get_the_title($post->ID)); ?></a> <i></i></h4>
                                    <p><?php echo esc_html(get_post_meta($post->ID, 'industrialcore_briefdesc', true)); ?></p>
                                    <a href="<?php echo esc_url(get_the_permalink($post->ID)); ?>" class="view"><?php esc_html_e('VIEW PROJECT', 'industrial'); ?></a>
                                </div>
                            </li>
                            <?php
                        endwhile;
                    endif;
                    ?>
                </ul>
            </div>
        </div>
    </div>
    </div>
<?php } elseif ($filterlayout == 'Filter formate three') { ?>
	<div class="container">
	
    <div class="project-category clearfix">
        <?php if (!empty($title)) : ?>
            <h3><?php echo esc_html($title); ?><i></i></h3>
        <?php endif; ?>
        <div id="project-gallery">
            <?php do_action("industrial_project_category_nav", array("subtitle" => $subtitle, "class" => 'category-box category-box-2')); ?>
            <div id="gallery-content">
                <ul id="gallery-content-center" class="project-list-2 clearfix">
                    <?php
                    if ($query->have_posts()) :
                        while ($query->have_posts()) : $query->the_post();
                            $filter_class = apply_filters('industrial_project_category_filter', $post->ID);
                            ?>
                            <li class="all <?php echo esc_attr($filter_class); ?> zoom">
                                <?php
                                if (has_post_thumbnail($post->ID)) :
                                    industrial_set_feature_image($post->ID, 'fade-effect', '380', '320');
                                endif;
                                ?>
                                <div class="detail animate-effect">
                                    <h4><a href="<?php echo esc_url(get_the_permalink($post->ID)); ?>"><?php echo esc_html(get_the_title($post->ID)); ?></a> <i></i></h4>
                                    <p><?php echo esc_html(get_post_meta($post->ID, 'industrialcore_briefdesc', true)); ?></p>
                                    <a href="<?php echo esc_url(get_the_permalink($post->ID)); ?>" class="view-btn"><?php echo esc_html__('VIEW PROJECT', 'industrial'); ?></a>
                                </div>
                            </li>
                            <?php
                        endwhile;
                    endif;
                    ?>
                </ul>
            </div>
        </div>
    </div>
    </div>
    <?php
} elseif ($filterlayout == 'No filter') {
    if ($query->have_posts()) :
        $src = $image = '';
        ?>
        <ul class="other-project ind_ul_margin">
            <?php
            while ($query->have_posts()) : $query->the_post();
                if (has_post_thumbnail($post->ID)) :
                    $src = wp_get_attachment_url(get_post_thumbnail_id($post->ID), 'full');
                    $image = industrial_resize($src, '380', '302', true);
                endif;
                ?>
                <li><img src="<?php echo esc_url($image) ?>" alt="" class="fade-effect"/>
                    <div class="over animate-effect">
                        <div class="coll">
                            <span><?php esc_html(get_the_title($post->ID)); ?></span>
                            <a href="<?php echo esc_url(get_the_permalink($post->ID)); ?>" class="view"><?php esc_html_e('VIEW PROJECT', 'industrial'); ?></a>
                        </div>
                    </div>
                </li>
            <?php endwhile; ?>
        </ul>
        <?php
    endif;
} elseif ($filterlayout == 'No filter with short description') {
    if ($query->have_posts()) :
        $src = $image = '';
        ?>
        <div class="service-container-3">
            <div class="container">
                <div class="row">
                    <div class="left-detail">
                        <h2><?php echo esc_html($title); ?><i></i></h2>
                        <strong><?php echo esc_html($subtitle); ?></strong>
                        <ul class="office-list clearfix ind_ul_margin">	
                            <?php
                            while ($query->have_posts()) :
                                $query->the_post();
                                if (has_post_thumbnail($post->ID)) :
                                    $src = wp_get_attachment_url(get_post_thumbnail_id($post->ID), 'full');
                                    $image = industrial_resize($src, '358', '275', true);
                                endif;
                                ?>
                                <li class="zoom">
                                    <figure class="fade-effect">
                                        <a href="<?php echo esc_url(get_the_permalink($post->ID)); ?>">
                                            <img src="<?php echo esc_url($image); ?>" alt="" />
                                        </a>
                                    </figure>
                                    <div class="detail animate-effect">
                                        <h4><a href="<?php echo esc_url(get_the_permalink($post->ID)); ?>"><?php echo esc_html(get_the_title($post->ID)); ?></a></h4>
                                        <p><?php echo esc_html(get_post_meta($post->ID, 'industrialcore_briefdesc', true)); ?></p>
                                    </div>
                                </li>
                            <?php endwhile; ?>
                        </ul>         
                    </div>
                </div>
            </div>
        </div>
        <?php
    endif;
}
wp_reset_postdata();

echo   $this->endBlockComment('ind_projectfilter');
