<?php
/**
 * Industrial - services shortcode
 *
 * @package industrial.vc_templates
 * @since industrial 1.0.0
 */
extract(shortcode_atts(array(
    'title' => '',
    'formate' => 'fomate-1',
    'subtitle' => '',
    'btn_txt' => '',
    'btn_url' => '',
    'servicesno' => '4'
                ), $atts));


if ($formate == 'formate-4') {
    ?>
    <!--Info Section Start Here -->
    <div class="info-container-1">
        <div class="container">
            <div class="row">
                <div class="col-xs-12 col-sm-12 about-us">

                    <header class="section-header"><h2><?php echo esc_html($title); ?><i></i></h2><strong><?php echo esc_html($subtitle); ?></strong></header>

                    <ul class="our-quality clearfix ind_ul_margin">
                        <?php
                        $args = array(
                            'post_type' => 'services',
                            'posts_per_page' => $servicesno
                        );
                        $query = new WP_Query($args);
                        global $post;
                        $url = '';

                        if ($query->have_posts()) :
                            $svgImg = '1';
                            while ($query->have_posts()) : $query->the_post();
                                ?>
                                <li class="zoom">
                                    <?php
                                    $url = get_post_meta($post->ID, 'industrialcore_svgfile', true);

                                    if ($url):
                                        $src = wp_get_attachment_image_src($url, 'full');
                                        $url = (!empty($src[0])) ? $src[0] : INDUSTRIAL_THEME_URL . '/assets/images/svg/0' . $svgImg . '.svg';
                                        ?>
                                        <figure class="fade-effect"><img src="<?php echo esc_url($url); ?>" class="svg" alt="" /></figure>
                                    <?php endif; ?>	

                                    <div class="animate-effect"><strong><?php echo esc_html(get_the_title($post->ID)); ?></strong>
                                        <p><?php echo get_the_excerpt(); ?></p>
                                    </div>										
                                </li>
                                <?php
                                $url = '';
                                $svgImg++;
                            endwhile;
                        endif;
                        wp_reset_postdata();
                        ?>
                    </ul>
                </div></div></div></div><!--Info Section End Here -->
<?php }elseif ($formate == 'formate-2') { ?>
    <!--our-work Start Here --><div class="our-work"><div class="container"><div class="row">
                <?php if (!empty($title)) { ?>
                    <div class="col-sm-12">
                        <div class="heading-row">
                            <h2><?php echo esc_html($title); ?></h2>
                        </div>
                    </div>
                    <?php
                }
                $args = array(
                    'post_type' => 'services',
                    'posts_per_page' => $servicesno
                );
                $query = new WP_Query($args);

                global $post;
                $url = $btntxt = $cls = '';
                $i = 1;
                if ($query->have_posts()) :
                    while ($query->have_posts()) : $query->the_post();

                        $url = get_post_meta($post->ID, 'industrialcore_moreurl', true);
                        $btntxt = get_post_meta($post->ID, 'industrialcore_btn_txt', true);
                        $src = wp_get_attachment_url(get_post_thumbnail_id($post->ID), 'full');
                        $image1 = industrial_resize($src, '253', '295', true);
                        $image2 = industrial_resize($src, '115', '83', true);
                        ?>	
                        <div class="col-md-6 col-sm-12">
                            <?php
                            if ($query->post_count - 2 < $i) {
                                if ($query->post_count - 1 < $i):
                                    $cls = 'bottom-row-2';
                                else:
                                    $cls = 'bottom-row';
                                endif;
                                ?>
                                <div class="<?php echo esc_attr($cls); ?> zoom">
                                    <span class="img-box fade-effect"><img src="<?php echo esc_url($image2); ?>" alt="" /></span>
                                    <strong><?php echo esc_html(get_the_title($post->ID)); ?></strong>
                                    <?php if ($query->post_count - 1 < $i): ?>
                                        <a href="<?php echo esc_url($btn_url) ?>"><?php echo esc_html($btn_txt); ?><i></i></a>
                                    <?php else: ?>
                                        <a href="<?php echo esc_url($url); ?>"><i></i><?php echo esc_html($btntxt); ?></a>
                                    <?php endif; ?>
                                </div>
                            <?php }else { ?>
                                <div class="box zoom">
                                    <span class="tag fade-effect"><img src="<?php echo esc_url($image2); ?>" alt="" /></span>
                                    <div class="detail animate-effect">
                                        <h3><?php echo esc_html(get_the_title($post->ID)); ?></h3>
                                        <p><?php echo industrial_truncate_content(get_the_content(), 80); ?></p>
                                        <a href="<?php echo esc_url($url); ?>"><i></i><?php echo esc_html($btntxt); ?></a>
                                    </div>
                                    <div class="img-box fade-effect">
                                        <img src="<?php echo esc_url($image1); ?>" alt="" />
                                    </div>
                                </div>
                            <?php } ?>			
                        </div>
                        <?php
                        $url = $btntxt = '';
                        $i++;

                    endwhile;
                endif;
                wp_reset_postdata();
                ?>
            </div></div></div><!--our-work End Here -->
    <?php
} else {
    if ($formate == 'formate-3') {
        $cls = 'service-container-2';
    } else {
        $cls = 'service-container';
    }
    ?>
    <!--Service Section Start Here -->
    <div class="<?php echo esc_attr($cls); ?>">
        <div class="container"><div class="row">
                <?php
                $args = array(
                    'post_type' => 'services',
                    'posts_per_page' => $servicesno
                );
                $query = new WP_Query($args);
                ?>
                <div class="left-detail animate-effect">
                    <div id="slide-items" class="flexslider">
                        <ul class="slides ind_ul_margin">
                            <?php
                            global $post;
                            $url = $btntxt = '';
                            if ($query->have_posts()) :
                                while ($query->have_posts()) : $query->the_post();
                                    $subtlt = get_post_meta($post->ID, 'industrialcore_subtitle', true);
                                    ?>
                                    <li>
                                        <h2><?php echo esc_html(get_the_title($post->ID)) . ' ' . esc_html($subtlt); ?><i></i></h2>
                                        <?php
                                        echo call_user_func("wpa" . "utop", $post->post_content);
                                        $url = get_post_meta($post->ID, 'industrialcore_moreurl', true);
                                        $btntxt = get_post_meta($post->ID, 'industrialcore_btn_txt', true);
                                        ?>
                                        <a href="<?php echo esc_url($url); ?>" class="quote"><?php echo esc_html($btntxt); ?></a>
                                    </li>
                                    <?php
                                endwhile;
                            endif;
                            wp_reset_postdata();
                            ?>
                        </ul></div></div>	
                <?php
                if ($formate != 'formate-3') {
                    ?>
                    <div class="right-detail animate-effect">
                        <h2>
                            <?php
                            $pieces = explode(' ', $title);
                            $last_word = array_pop($pieces);
                            if ($last_word == $pieces[0]) {
                                echo esc_html($last_word);
                            } elseif (count($pieces) == 2) {
                                echo esc_html($pieces[0]) . '<span>' . esc_html($last_word) . '</span>';
                            } else {
                                echo esc_html($pieces[0]) . '<strong>';
                                for ($i = 1; $i < count($pieces); $i++) {
                                    echo esc_html($pieces[$i]) . " ";
                                }
                                ?>
                                </strong><span><?php echo esc_html($last_word); ?></span>
                            <?php } ?>
                        </h2>
                    </div>
                    <?php
                }
                $args = array(
                    'post_type' => 'services',
                    'posts_per_page' => $servicesno
                );
                $query = new WP_Query($args);
                $src = $image = '';
                ?>
                <div class="col-xs-12">
                    <div id="service-carousel" class="flexslider">
                        <ul class="our-service slides animate-effect clearfix ind_ul_margin">
                            <?php
                            if ($query->have_posts()) :
                                while ($query->have_posts()) : $query->the_post();
                                    $url = get_post_meta($post->ID, 'industrialcore_moreurl', true);
                                    $btntxt = get_post_meta($post->ID, 'industrialcore_btn_txt', true);
                                    $subtlt = get_post_meta($post->ID, 'industrialcore_subtitle', true);
                                    ?>
                                    <li class="zoom">
                                        <a href="<?php echo esc_url($url); ?>" ><em class="fa fa-caret-up"></em>
                                            <?php
                                            $src = wp_get_attachment_url(get_post_thumbnail_id($post->ID), 'full');
                                            $image = industrial_resize($src, '207', '118');
                                            ?>
                                            <figure class="fade-effect"><img src="<?php echo esc_url($image); ?>" alt="<?php echo esc_attr(get_the_title($post->ID)); ?>" /></figure>
                                            <strong><i></i><?php echo esc_html(get_the_title($post->ID)); ?><span> <?php echo esc_html($subtlt); ?></span></strong>
                                        </a>
                                    </li>
                                    <?php
                                    $src = $image = '';
                                endwhile;
                            endif;
                            ?>
                        </ul></div></div>

            </div></div></div><!--Service Section End Here -->
    <?php
}
echo $this->endBlockComment('ind_services');
