<?php
/**
 * Industrial - Heper function for short code
 *
 * @package industrial.vc_templates.va-map
 * @since   industrial 1.0.0
 */
add_action( 'vc_before_init', 'industrial_vcSetAsTheme' );
function industrial_vcSetAsTheme() {
	vc_set_as_theme();
}

//redirect welcome
delete_transient( '_vc_page_welcome_redirect' );



/**
 * Project Filter Category Navigation
 * used in: ind_projectfilter.php
 */
add_action("industrial_project_category_nav", "industrial_project_category_nav");

function industrial_project_category_nav($args) {
    ?>
    <div id="gallery-header" class="<?php echo esc_attr($args["class"]); ?>">
        <?php
        if (!empty($args["subtitle"])):
            ?><strong><?php echo esc_html($args["subtitle"]); ?></strong>
            <?php
        endif;

        //$taxonomy = 'project_categories';
        $project_terms = get_terms('project_categories', array('parent' => 0,));
        if (count($project_terms) > 0):
            ?><div id="gallery-header-center">
                <div id="gallery-header-center-right">
                    <ul class="ind_ul_margin" id="filters">
                        <li class="gallery-header-center-right-links gallery-header-center-right-links-current" data-filter=".all" >
                            <a href="javascript:;"><?php esc_html_e('all projects', 'industrial'); ?></a></li>
                        <?php
                        foreach ($project_terms as $project_term):
                            ?><li class="gallery-header-center-right-links" data-filter=".<?php echo esc_attr($project_term->slug); ?>">
                                <a href="javascript:;"><?php echo esc_html($project_term->name); ?></a>
                            </li>
                            <?php
                        endforeach;
                        ?>
                    </ul></div></div>
            <?php
        endif;
        ?>
    </div><?php
}

/**
 * Project Filter Category
 * used in: ind_projectfilter.php
 */
add_filter("industrial_project_category_filter", "industrial_project_category_filter");

function industrial_project_category_filter($post_id) {
    $project_terms = get_the_terms($post_id, 'project_categories');
    $args = array();

    if (is_array($project_terms)):
        foreach ($project_terms as $project_term):
            $args[] = $project_term->slug;
        endforeach;
    endif;

    return implode(" ", $args);
}
